.product-teaser {
    background-size: cover;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    flex-direction: column;
    width: 18rem;
    margin: auto;
}

.product-teaser:hover .button--primary {
    background: transparent;
    color: var(--color-primary);
}

.product-teaser:hover button {
    color: var(--color-primary);
}

.product-teaser:only-child {
    height: 100%;
}

.product-teaser__origin {
    z-index: 100;
    position: absolute;
    top: 0;
    left: 0;
    width: 5rem;
    height: 5rem;
    -webkit-animation: var(--animation-fadeIn);
    animation: var(--animation-fadeIn);  
}

.product-teaser__image {
    width: 20rem;
}

.product-teaser__image:not(img) {
    display: block;
    height: 25rem;
}

.product-teaser:before,
.product-teaser:after {
    content: '';
    display: block;
    position: absolute;
    background-color: var(--color-neutral);
    z-index: -1;
}

.product-teaser:before {
    width: calc(18rem);
    height: calc(18rem);
    top: 0;
    border-radius: 100%;
}

.product-teaser:after {
    width: 100%;
    height: 75%;
    bottom: 0;
    border-top: none;
}

.product-teaser.hasDetails:after {
    height: 78%;
}

.product-teaser__text {
    display: flex;
    flex-direction: column;
    justify-content: flex-end;
    width: 100%;
    position: inherit;
    padding: 0 var(--space-m) var(--space-m) var(--space-m);
    flex-grow: 1;
}

h3.product-teaser__title {
    font-family: var(--font-family-script);
    font-size: var(--font-size-h4);
    margin-top: var(--space-2xs);
    font-weight: normal;
}

.product-teaser__text > * {
    margin-top: var(--space-xs);
}

.product-teaser .capitals {
    display: block;
    font-size: calc(var(--font-size) * 0.66);
    margin-top: var(--space-s);
    margin-bottom: var(--space-3xs);
}

.product-teaser .capitals + * {
    margin-top: 0;
}

.product-teaser__volumes {
	display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -ms-flex-wrap: wrap;
    flex-wrap: wrap;
    justify-content: flex-end;
}

.product-teaser__volumes li {
    margin: 0.1rem 0.2rem;
}

.product-teaser__volumes li em {
	display: block;
    font-size: calc( 0.8 * var(--font-size) );
    padding: 0.1rem 0.3rem;
}

.product-teaser__price {
    font-weight: 600;
    text-align: right;
}

.product-teaser__button {
    width: 100%;
    text-align: center;
}